<?php
namespace App\Test\TestCase\Model\Table;

use App\Model\Table\JirasTable;
use Cake\ORM\TableRegistry;
use Cake\TestSuite\TestCase;

/**
 * App\Model\Table\JirasTable Test Case
 */
class JirasTableTest extends TestCase
{
    /**
     * Test subject
     *
     * @var \App\Model\Table\JirasTable
     */
    public $Jiras;

    /**
     * Fixtures
     *
     * @var array
     */
    public $fixtures = [
        'app.Jiras'
    ];

    /**
     * setUp method
     *
     * @return void
     */
    public function setUp()
    {
        parent::setUp();
        $config = TableRegistry::getTableLocator()->exists('Jiras') ? [] : ['className' => JirasTable::class];
        $this->Jiras = TableRegistry::getTableLocator()->get('Jiras', $config);
    }

    /**
     * tearDown method
     *
     * @return void
     */
    public function tearDown()
    {
        unset($this->Jiras);

        parent::tearDown();
    }

    /**
     * Test initialize method
     *
     * @return void
     */
    public function testInitialize()
    {
        $this->markTestIncomplete('Not implemented yet.');
    }

    /**
     * Test validationDefault method
     *
     * @return void
     */
    public function testValidationDefault()
    {
        $this->markTestIncomplete('Not implemented yet.');
    }
}
